﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity;

using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AppBlogFinal.Models
{
    public class Post
    {
        //Primary Key.
        public int ID { get; set; }

        // The heading of the post.
        public string Title { get; set; }

        [Display(Name = "Release Date")]
        [DataType(DataType.Date)]
        [DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
        public DateTime PublishDate { get; set; }

        //Film rating, 0 to 10, 0 being the worst.
        [Range(0, 10)]
        public int AverageRating { get; set; }

        //The Film Category or Categories
        public string Category { get; set; }

        //The image preview - must end in .png
        public string Preview { get; set; }

        //A short review
        public string Review { get; set; }
    }

    public class PostDBContext : DbContext
    {
        public DbSet<Post> Posts { get; set; }
    }
}